org.apache.ignite.internal.processors.igfs.client

## Class IgfsClientAbstractCallable<T>

- java.lang.Object
- - org.apache.ignite.internal.processors.igfs.client.IgfsClientAbstractCallable<T>

All Implemented Interfaces:
  Serializable, Callable<T>, Binarylizable, IgniteCallable<T>

Direct Known Subclasses:
  IgfsClientAffinityCallable, IgfsClientDeleteCallable, IgfsClientExistsCallable, IgfsClientInfoCallable, IgfsClientListFilesCallable, IgfsClientListPathsCallable, IgfsClientMetaIdsForPathCallable, IgfsClientMetaInfoForPathCallable, IgfsClientMetaUnlockCallable, IgfsClientMkdirsCallable, IgfsClientRenameCallable, IgfsClientSetTimesCallable, IgfsClientSizeCallable, IgfsClientSummaryCallable, IgfsClientUpdateCallable

    public abstract class IgfsClientAbstractCallable<T>
    extends Object
    implements IgniteCallable<T>, Binarylizable

Abstract callable for IGFS tasks initiated on client node and passed to data node.

See Also:
  Serialized Form

### Field Summary

Fields
`protected String` `igfsName` IGFS name.
`protected IgfsPath` `path` Path for operation.
`protected String` `user` User name.

### Constructor Summary

Constructors
`protected` `IgfsClientAbstractCallable()` Default constructor.
`protected` `IgfsClientAbstractCallable(String igfsName, String user, IgfsPath path)` Constructor.

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`T` `call()`
`protected abstract T` `call0(IgfsContext ctx)` Execute task.
`void` `readBinary(BinaryReader reader)` Reads fields from provided reader.
`protected void` `readBinary0(BinaryRawReader rawReader)` Read binary.
`void` `writeBinary(BinaryWriter writer)` Writes fields to provided writer.
`protected void` `writeBinary0(BinaryRawWriter rawWriter)` Write binary.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### igfsName

    protected String igfsName

IGFS name.

#### path

    protected IgfsPath path

Path for operation.

#### user

    protected String user

User name.

### Constructor Detail

#### IgfsClientAbstractCallable

    protected IgfsClientAbstractCallable()

Default constructor.

#### IgfsClientAbstractCallable

    protected IgfsClientAbstractCallable(@Nullable
                                         String igfsName,
                                         @Nullable
                                         String user,
                                         @Nullable
                                         IgfsPath path)

Constructor.

Parameters:
  `igfsName` - IGFS name.
  `user` - IGFS user name.
  `path` - Path.

### Method Detail

#### call

    public final T call()
                 throws Exception

Specified by:
  `call` in interface `Callable<T>`
Throws:
  `Exception`

#### call0

    protected abstract T call0(IgfsContext ctx)
                        throws Exception

Execute task.

Parameters:
  `ctx` - IGFS ocntext.
Returns:
  Result.
Throws:
  `Exception` - If failed.

#### writeBinary

    public final void writeBinary(BinaryWriter writer)
                           throws BinaryObjectException

Writes fields to provided writer.

Specified by:
  `writeBinary` in interface `Binarylizable`
Parameters:
  `writer` - Binary object writer.
Throws:
  `BinaryObjectException` - In case of error.

#### readBinary

    public final void readBinary(BinaryReader reader)
                          throws BinaryObjectException

Reads fields from provided reader.

Specified by:
  `readBinary` in interface `Binarylizable`
Parameters:
  `reader` - Binary object reader.
Throws:
  `BinaryObjectException` - In case of error.

#### writeBinary0

    protected void writeBinary0(BinaryRawWriter rawWriter)

Write binary.

Parameters:
  `rawWriter` - Raw writer.

#### readBinary0

    protected void readBinary0(BinaryRawReader rawReader)

Read binary.

Parameters:
  `rawReader` - Raw reader.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.6.0
Release Date | : July 10 2018